| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
LTC6115.cpp File Reference
Power Monitors and Coulomb Counters » LTC6115: High-Voltage High Side Current and Voltage Sense

Library for LTC6115 High-Voltage High Side Current and Voltage Sense. More...

## Detailed Description

Library for LTC6115 High-Voltage High Side Current and Voltage Sense.

Definition in file LTC6115.cpp.

Go to the source code of this file.

## Functions
void | LTC6115_initialize ()
| This function will initialize 6115 variables. More...
float | getVGain ()
| This function returns the voltage gain (V/V). More...
float | getIGain ()
| This function returns the current gain (V/A). More...
float | LTC6115ConvertToVolts (uint32_t val)
| This function converts ADC code to Voltage. More...
float | LTC6115ToVolts (uint32_t val)
| This function converts ADC code to Voltage without the converted voltage print statement. More...
float | LTC6115ConvertToAmps (uint32_t val)
| This function converts ADC code to Current. More...
float | LTC6115ToAmps (uint32_t val)
| This function converts ADC code to Current without the converted current print statement. More...
void | LTC6115ChangeVGain (float val)
| This function changes the Voltage gain. More...
void | LTC6115ChangeIGain (float val)
| This function changes the Current gain. More...
uint32_t | millsToHz (uint32_t val)
| This function converts milliseconds to frequency (Hz). More...

## Variables
float | LTC6115_VGain = 0
| 6115 Primary Variables More...
float | LTC6115_IGain = 0

## Function Documentation

## ◆ getIGain()

float getIGain | ( |  | ) |

This function returns the current gain (V/A).

Returns
  float

Definition at line 109 of file LTC6115.cpp.

## ◆ getVGain()

float getVGain | ( |  | ) |

This function returns the voltage gain (V/V).

Returns
  float

Definition at line 100 of file LTC6115.cpp.

## ◆ LTC6115_initialize()

void LTC6115_initialize | ( |  | ) |

This function will initialize 6115 variables.

|Function Declarations|

Returns
  void

Definition at line 92 of file LTC6115.cpp.

## ◆ LTC6115ChangeIGain()

void LTC6115ChangeIGain | ( | float | val | ) |

This function changes the Current gain.

Returns
  float

Parameters

  val | The value to change the Current gain to

Definition at line 162 of file LTC6115.cpp.

## ◆ LTC6115ChangeVGain()

void LTC6115ChangeVGain | ( | float | val | ) |

This function changes the Voltage gain.

Returns
  void

Parameters

  val | The value to change the Voltage gain to

Definition at line 155 of file LTC6115.cpp.

## ◆ LTC6115ConvertToAmps()

float LTC6115ConvertToAmps | ( | uint32_t | val | ) |

This function converts ADC code to Current.

Returns
  float

Parameters

  val | The ADC code value to convert to Current

Definition at line 137 of file LTC6115.cpp.

## ◆ LTC6115ConvertToVolts()

float LTC6115ConvertToVolts | ( | uint32_t | val | ) |

This function converts ADC code to Voltage.

Returns
  float

Parameters

  val | The ADC code value to convert to Voltage

Definition at line 118 of file LTC6115.cpp.

## ◆ LTC6115ToAmps()

float LTC6115ToAmps | ( | uint32_t | val | ) |

This function converts ADC code to Current without the converted current print statement.

Returns
  float

Definition at line 146 of file LTC6115.cpp.

## ◆ LTC6115ToVolts()

float LTC6115ToVolts | ( | uint32_t | val | ) |

This function converts ADC code to Voltage without the converted voltage print statement.

Returns
  float

Definition at line 128 of file LTC6115.cpp.

## ◆ millsToHz()

uint32_t millsToHz | ( | uint32_t | val | ) |

This function converts milliseconds to frequency (Hz).

Returns
  uint32_t

Parameters

  val | The milliseconds to convert to Hz

Definition at line 169 of file LTC6115.cpp.

## Variable Documentation

## ◆ LTC6115_IGain

float LTC6115_IGain = 0

Definition at line 85 of file LTC6115.cpp.

## ◆ LTC6115_VGain

float LTC6115_VGain = 0

6115 Primary Variables

Definition at line 84 of file LTC6115.cpp.